1 Reply Latest reply on Dec 26, 2013 9:45 AM by Neil Sommerville

    Leader Note Reattach arrow

    Neil Sommerville

      I have been searching everywhere for information on this topic and I cannot find anything that directly (or indirectly) answers my needs.

       

      I have a simple part with multiple configurations that changes the size of the part and suppresses some features.  And in the drawing I have a leader note with the arrow attached to an edge.   In some of the configurations the leader becomes unattached due to a feature being suppressed and it “floats off in drawing space”.   I simply want to move and reattached the leader note back on to the part.

       

      Within a “Dim swNote as SldWorks.Note” there is “swNote.GetAttachPos” which tells me exactly where the tip of the arrow is located.   However I am finding nothing on how to set or change the attachment position, something like “SetAttachPos”?

       

      I can move note locations with SetPosition but is there anything where I can reset the tip of the arrow location. 

       

      p.s. I am not interested in recreating a leader note. I should be able move the note and arrow where I want to.   Also I have the same situation with a GD&T symbol, but one thing at a time.

       

      Any suggestions is appreciated.

        • Re: Leader Note Reattach arrow
          Neil Sommerville

          Quick update.  I sent a email off to Solidworks support and this was their response.  

           

          "We have an open enhancement SPR xxxxxx "Would like API to position or attach leader of an annotation". Our development team has looked at this in the past and the only way to set the annotation position is to re-set its attached entity using IAnnotation::SetAttachedEntities. Sorry if that isn't a good solution, but our developers determined that replicating the UI behavior through the API could not be done due to the inferencing mechanism needed."

           

          So far I have been unsuccessfull at using the "IAnnotation::SetAttachedEntities" to do what I want.  If anyone has some suggestions it would be appreciated.

           

          Thanks,